Package org.apache.sling.maven.htl.compiler

## Class ScriptCompilationUnit

- java.lang.Object
- - org.apache.sling.maven.htl.compiler.ScriptCompilationUnit

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.compiler.CompilationUnit`

    public class ScriptCompilationUnit
    extends Object
    implements org.apache.sling.scripting.sightly.compiler.CompilationUnit

### Constructor Summary

Constructors
`ScriptCompilationUnit​(File sourceDirectory, File script)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`String` `getScriptName()`
`Reader` `getScriptReader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptCompilationUnit

    public ScriptCompilationUnit​(File sourceDirectory,
                                 File script)
                          throws FileNotFoundException

Throws:
  `FileNotFoundException`

### Method Detail

#### getScriptName

    public String getScriptName()

Specified by:
  `getScriptName` in interface `org.apache.sling.scripting.sightly.compiler.CompilationUnit`

#### getScriptReader

    public Reader getScriptReader()

Specified by:
  `getScriptReader` in interface `org.apache.sling.scripting.sightly.compiler.CompilationUnit`

#### dispose

    public void dispose()